var utils = {
	hideIdCard: function (idcard) {
		if (!(/(^\d{18}$)|(^\d{17}(\d|X|x)$)/).test(idcard)) return ""
		return idcard.replace(/(\d{4})\d{12}(\w{2})/, '$1************$2');
	},
	hideRealName: function (realName) {
		if (null != realName && realName != undefined) {
			if (realName.length <= 3) {
				return "*" + realName.substring(1, realName.length);
			} else if (realName.length > 3 && realName.length <= 6) {
				return "**" + realName.substring(2, realName.length);
			} else if (realName.length > 6) {
				return realName.substring(0, 2) + "****" + realName.substring(6, realName.length)
			}
		} else {
			return "";
		}
	},
	hidePhone: function (phone) {
		if (!(/^1\d{10}$/).test(phone)) return ""
		return phone.replace(/(\d{3})\d{4}(\w{4})/, '$1****$2');
	}
}
/**
 * 锦州通APP全局请求
 */
function jztbaseRequest() {
	return {
		//		"version": "1.0.0"
	};
}

/**
 * 锦州通APP请求（必须调用）
 * @param params 请求参数
 * @returns {void | *} 返回完整请求参数
 */
function jztRequest(params) {
	return jQuery.extend(params, jztbaseRequest());
}
/**
 * 锦州通APP完整请求地址（必须调用）
 * @param service 相对链接地址
 * @param model   模块名称
 * @returns {*}
 */
function jztService(service) {
	return (config.test ? config.service.test : config.service.base) + service;
}
/**
 * 锦州通APP完整请求地址（上传文件专用）
 *
 * @param service 相对链接地址
 * @param model   模块名称
 * @returns {*}
 */
function jztFileService(service) {
	//	return(config.test ? config.service.test : config.service.fileService) + service;
	return config.service.fileService + service;
}
/**
 * 锦州通APP判断Token是否过期
 * 测试中默认过期
 */
function jztTokenIsExpired() {
	return true;
}
/**
 * 锦州通APP刷新token
 * 判断Token是否过期，过期刷新Token,没过期不作处理
 */
function jztFreshToken(settings) {
	var freToken = jztGetFreToken();
	//刷新token逻辑
	mui.axiosService(jztService("appauth/oauth/token?grant_type=refresh_token&refresh_token=" + freToken), {}, {
		"success": function (data) {
			jztSaveToken(data.access_token);
			jztSaveFreToken(data.refresh_token);
			jztSetTokenEffectiveTime(data.expires_in);
			jztSetTokenTime((new Date()).valueOf());
			settings.success();
		},
		"error": function (error) {
			settings.error();
		}
	}, "post", true);
}
/**
 * 锦州通APP固态存储用户名
 * @param {Object} token
 */
function jztSaveUserName(username) {
	app.setCache("solidity_username", username)

}
/**
 * 锦州通APP固态存储用户名
 */
function jztGetUserName() {
	return app.getCache("solidity_username", "")
}

/**
 * 锦州通APP保存refresh_token
 * @param {Object} token
 */
function jztSaveFreToken(token) {
	app.setCache("freToken", token)

}
/**
 * 锦州通APP获取refresh_token
 * @param {Object} token
 */
function jztGetFreToken() {
	return app.getCache("freToken", "")
}
/**
 * 锦州通APP保存token有效时常
 * @param {Object} token
 */
function jztSetTokenEffectiveTime(time) {
	app.setCache("effectiveTime", time)

}
/**
 * 锦州通APP获取token有效时常
 * @param {Object} token
 */
function jztGetTokenEffectiveTime() {
	return app.getCache("effectiveTime", "")
}
/**
 * 锦州通APP保存登录时间
 * @param {Object} time
 */
function jztSetTokenTime(time) {
	app.setCache("loginTime", time)
}
/**
 * 锦州通APP获取登录时间
 */
function jztGetTokenTime() {
	return app.getCache("loginTime", "");
}
/**
 * 锦州通APP保存access_token
 * @param {Object} token
 */
function jztSaveToken(token) {
	app.setCache("token", token);
}
/**
 * 锦州通APP获取access_token
 * @param {Object} token
 */
function jztGetToken() {
	return app.getCache("token", "");
}
/**
 * 锦州通APP保存用户信息
 * @param {Object} user 用户信息JSON字符串
 */
function jztSaveUserInfo(user) {
	app.setCache("user", user)
}
/**
 * 锦州通APP获取用户信息
 */
function jztGetUserInfo() {
	return app.getCache("user", "");
}
/**
 * 锦州通APP保存用户认证级别
 * @param {Object} level 1、未认证
 * 						 2、初级认证
 * 						 3、高级认证
 */
function jztSaveUserLevel(level) {
	app.setCache("level", level)
}
/**
 * 锦州通APP获取用户认证级别
 */
function jztGetUserLevel() {
	return app.getCache("level", "");
}
/**
 * 锦州通APP获取用户其他信息
 */
function jztGetUserInfoOther() {
	return app.getCache("userOther", "");
}
/**
 * 锦州通APP保存用户其他信息
 * @param {Object} user 用户信息JSON字符串
 */
function jztSaveUserInfoOther(user) {
	app.setCache("userOther", user)
}

/**
 * 锦州通APP保存地址相关信息
 * @param {Object} address 地址信息JSON字符串
 */
function jztSaveAddressInfo(address) {
	app.setCache("address", address);
}
/**
 * 锦州通APP获取地址相关信息
 */
function jztGetAddressInfo() {
	return app.getCache("address", "");
}
/**
 * 
 * @param {Object} type 获取用户信息类别
 * 1、真实姓名
 * 2、证件类别
 * 3、证件号
 * 4、userId
 * 5、昵称
 * 6、是否认证 1认证
 * 7、信息是否完善  1完善
 * 8、地址	
 * 9、电话	
 * 10、邮件	
 * 11、认证方式
 * 12、头像
 * 13、认证级别
 * 14、密码
 * 15、username
 * 16、锦码
 * 17、邀请码
 */
function jztGetSaveUserInfo(type) {
	var info = "";
	if (jztGetUserInfo()) {
		var param = JSON.parse(jztGetUserInfo());
		if (param) {
			switch (type) {
				case 1:
					info = param.realName;
					break;
				case 2:
					info = param.cerType;
					break;
				case 3:
					info = param.cardId;
					break;
				case 4:
					info = param.userId;
					break;
				case 5:
					info = param.nickName;
					break;
				case 6:
					info = param.isAuthorized;
					break;
				case 7:
					info = param.isCompleted;
					break;
				case 8:
					info = param.address;
					break;
				case 9:
					info = param.phone;
					break;
				case 10:
					info = param.email;
					break;
				case 11:
					info = param.authType;
					break;
				case 12:
					info = param.avatar;
					break;
				case 13:
					info = param.isAuthorized;
					break;
				case 14:
					info = param.pw;
					break;
				case 15:
					info = param.username;
					break
				case 16:
					info = param.userCode;
					break;
				case 17:
					info = param.inviteCode;
					break
				default:
					break;
			}
		}
	}
	return info;
}
/**
 * 锦州通APP退出登录
 */
function jztLoginOut() {
	localStorage.clear()
}

function jztEmptyRecord(container, content) {
	content = content || "暂无信息";
	var emptyHtml = `<div style="width: 100%;height: 200px;position: relative;">
						<div style=" position: absolute;top:50%;left:50%;-webkit-transform:translate(-50%,-50%); transform:translate(-50%,-50%);width: 100%;">
								<div style="text-align: center;">
									<span class="iconfont icon-empty" style="font-size: 50px;"></span>
								</div>
								<div style="margin-top: 20px; font-size:14px;text-align:center">
									` + content + `
								</div>
							</div>
					</div>`;
	jQuery(container).html(emptyHtml);
}
/**
 * 显示loading
 * @param {Object} container 承载loading的容器的id
 */
function jzcLoadingShow(container) {
	var emptyHtml = `<div class="spinner">
						<div class="double-bounce1"></div>
						<div class="double-bounce2"></div>
					</div>`;
	document.getElementById(container).innerHTML = emptyHtml;
}
/**
 * 隐藏loading
 * @param {Object} container 承载loading的容器的id
 */
function jzcLoadingHidden(container) {
	if (1 == document.getElementsByClassName('mui-content').length) {
		document.getElementsByClassName('mui-content')[0].classList.remove("mui-hidden");
	}
	document.getElementById(container).classList.add("mui-hidden")
}

/**
 * 设置步骤条当前位置
 * @param {Object} stepIndex 从0开始
 */
function setStep(stepIndex) {
	var steps = $(".step");
	$(steps).removeClass("is-sucess");
	$(steps).removeClass("last-sucess");
	for (var i = 0; i <= stepIndex; i++) {
		var step = steps[i];
		if (i < stepIndex) {
			$(step).addClass("is-sucess");
		} else {
			$(step).addClass("last-sucess");
		}
	}
}
/**
 * 设置头部文字
 */
function setTitle(content) {
	document.getElementsByClassName("mui-title")[0].innerHTML = content;
}
/**
 * 设置头部右侧图标点击事件
 */
function jzcHeaderLeft(settings) {
	mui("body").on("tap", "#header_left", function () {
		settings.click();
	})
}

/**
 * 设置认证级别
 * @param {Object} realName 真实姓名
 * @param {Object} cardId 身份证号
 * @param {Object} isAuthorized 认证级别：0-未认证（默认值）；1-初级认证；2-高级认证
 * @param {Object} authType 认证方式，中文如（人脸识别）
 * @param {Object} password 密码
 * @param {Object} settings 成功失败回掉
 */
function saveAuthLeval(realName, cardId, isAuthorized, authType, password, settings) {
	var param = {};
	param.cerType = 1; //证件类型：身份证=1 默认写死
	param.realName = realName;
	param.cardId = cardId;
	param.isAuthorized = isAuthorized;
	param.authType = authType;
	//	param.password = encodeURIComponent(getAES(password));
	param.password = password; //暂时处理明文
	param.deviceId = app.getUUID();
	param.sex = mui.outputMsg(cardId, 1); //性别
	param.birthday = mui.outputMsg(cardId, 2); //出生日期
	//	alert(JSON.stringify(param))
	mui.axiosService(jztService("app/user/auth"), param, {
		"success": function (response) {
			settings.success(response)
			//			app.updateLocalSql()
		},
		"error": function (error) {
			settings.error(error)
		}
	}, "post");
}
/**
 * 获取用户信息
 * @param {Object} settings
 */
function GetUserInfoAxios(settings) {
	mui.axiosService(jztService("app/user/detail"), "", {
		"success": function (reponse) {
			if (reponse.code == "0") {
				//保存用户信息
				jztSaveUserInfo(JSON.stringify(reponse.data.tblUser))
				jztSaveUserInfoOther(JSON.stringify(reponse.data.tblUserProfile))
				//本地保存认证级别
				if (reponse.data.tblUser.isAuthorized == 0) {
					//未认证
					var arr = {
						"isAuthorized": 0,
						"authType": (reponse.data.tblUser.authType == "" || reponse.data.tblUser.authType == undefined || reponse.data.tblUser.authType == null) ? "未实名认证" : reponse.data.tblUser.authType,
					}

				} else if (reponse.data.tblUser.isAuthorized == 1) {
					//初级认证
					var arr = {
						"isAuthorized": 1,
						"authType": (reponse.data.tblUser.authType == "" || reponse.data.tblUser.authType == undefined || reponse.data.tblUser.authType == null) ? "初级实名认证" : reponse.data.tblUser.authType,
					}

				} else if (reponse.data.tblUser.isAuthorized == 2) {
					//高级认证
					var arr = {
						"isAuthorized": 2,
						"authType": (reponse.data.tblUser.authType == "" || reponse.data.tblUser.authType == undefined || reponse.data.tblUser.authType == null) ? "高级实名认证" : reponse.data.tblUser.authType,
					}
				}
				app.setCache("validate", JSON.stringify(arr))

				settings.success(reponse);
			} else if (reponse.code == "401") {
				if (mui.os.ios) {
					app.createNewView(true, "1", "view/my/login/login-all.html", "no", "");
					app.logout();
				} else {
					app.createNewView(true, "1", "view/my/login/login-all.html", "no", "");
					app.clearCache();
				}
			}
		},
		"error": function (error) {
			settings.error(error);
		}
	}, "get", false);
}

/**
 * 设置头部右侧图标点击事件
 */
function jzcHeaderRight(settings) {
	mui("body").on("tap", "#header_right", function () {
		settings.click();
	})
}
/**
 * 通过用户名密码手机号注册
 * @param {Object} username 用户名
 * @param {Object} phone 确认密码
 * @param {Object} password 密码
 * @param {Object} state 1为个人,2为法人
 */
function AxiosServiceRegistByUsernameAndPhone(username, phone, password, smscode, cerType) {
	var param = {
		username: username,
		phone: phone,
		password: password,
		cerType: cerType,
		smscode: smscode
	}
	mui.axiosService(jztService("app/user/register"), param, {
		"success": function (data) {
			if (data.code == "0") {
				AxiosServiceLogin(username, password, 1)
				mui.toast(data.msg);
				//					mui.back();

			} else {
				mui.toast(data.msg);
			}
		},
		"error": function (error) {
			mui.toast(error.msg)
		}
	},
		"post", true);
}
/**
 * 通过手机号验证码注册
 * @param {Object} phone 手机号
 * @param {Object} code 验证码
 * @param {Object} state 1为个人,2为法人
 */
function AxiosServiceRegistByUsername(phone, code, state) {

	mui.axiosService(jztService("app/user/register") + "?phone=" + phone + "&code=" + code + "&state=" + state + "&code=mdxn&grant_type=password&scope=server", {}, {
		"success": function (data) {
			jztSaveToken(data.access_token);
			jztSaveFreToken(data.refresh_token);
			mui.toast(data.msg)
			if (data.code == "0") {
				mui.back();
			}
		},
		"error": function (error) {
			mui.toast("登录失败");
		}
	}, "post", true);
}
/**
 * 通过手机号密码登录
 * @param {Object} phone 身份证号    手机号
 * @param {Object} password 密码   验证码
 * @param {Object} flag 1:身份证号密码登录  2手机号验证码登录
 * @param {Object} code 验证码
 * @param {Object} strNum 时间戳
 * @param {Object} from 来源为home时登录成功跳转到我的页面
 */
function AxiosServiceLogin(phone, password, flag, code, strNum) {
	switch (flag) {
		case 1:
			app.login(phone, encodeURIComponent(getAES(password)), code, strNum);
			break;
		case 2:
			app.loginForPhoneAndCode(phone, password);
			break;
		default:
			break;
	}

	//	var randomNum = mui.randomNum(18);
	//	mui.axiosService(jztService("appauth/oauth/token") + "?username=" + phone + "&password=" + encodeURIComponent(getAES(password)) + "&randomStr=" + randomNum + "&code=mdxn&grant_type=password&scope=server", {}, {
	//			"success": function(data) {
	//				jztSaveToken(data.access_token);
	//				jztSaveFreToken(data.refresh_token);
	//				jztSetTokenEffectiveTime(data.expires_in);
	//				jztSetTokenTime((new Date()).valueOf());
	//				if(data.access_token != "") {
	//					app.loginFinish();
	//				}
	//			},
	//			"error": function(error) {
	//				mui.toast("登录失败");
	//			}
	//		},
	//		"post",true);
}

function getAesString(data, key, iv) {
	var key = CryptoJS.enc.Utf8.parse(key);
	var iv = CryptoJS.enc.Utf8.parse(iv);
	var encrypted = CryptoJS.AES.encrypt(data, key, {
		iv: iv,
		mode: CryptoJS.mode.CBC,
		padding: CryptoJS.pad.ZeroPadding
	});
	return encrypted.toString(); //返回的是base64格式的密文
}
/**
 * AES/CBC Pkcs7 加密
 * @param {Object} data 需要加密的字符串
 */
function getAES(data) {
	var key = '1234567887654321'; //密钥
	var iv = '1234567887654321';
	var encrypted = getAesString(data, key, iv); //密文
	var encrypted1 = CryptoJS.enc.Utf8.parse(encrypted);
	return encrypted;
}

var bookLevel = 0;

function setBookLevel(level) {
	bookLevel = level;
}
/**
 * 根据json跟url生成地址
 * @param {Object} json json变量
 * @param {Object} url 基础地址 记得末尾填？或者&
 */
function getAddressString(json, url) {
	var address = url;
	for (var key in json) {
		address += key + "=" + json[key] + "&";
	}
	address = address.substring(0, address.length - 1)
	return address;
}
/**
 * 统一提示信息
 */
function unifyToast(message, defaultStr) {
	if (message == null || message == undefined || message == "") {
		mui.toast(defaultStr)
	} else {
		mui.toast(message)
	}
}
/**
 * 返回农历js
 * @param {Object} mydate 日期
 * @param {Object} isall  是否显示农历年
 * @param {Object} type  返回类型 week：星期几  例：4月6日 星期一
 * 								nl：农历
 */
Date.prototype.getDateAll = function (mydate, type, isall) {

	isall = isall === undefined ? true : isall;
	var D;
	if (mydate) {
		D = new Date(mydate);
	} else {
		D = new Date();
	}
	var sWeek = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");

	var dNow;
	if (mydate) {
		dNow = new Date(mydate);
	} else {
		dNow = new Date();
	}
	var CalendarData = new Array(100);
	var madd = new Array(12);
	var tgString = "甲乙丙丁戊己庚辛壬癸";
	var dzString = "子丑寅卯辰巳午未申酉戌亥";
	var numString = "一二三四五六七八九十";
	var monString = "正二三四五六七八九十冬腊";
	var weekString = "日一二三四五六";
	var sx = "鼠牛虎兔龙蛇马羊猴鸡狗猪";
	var cYear, cMonth, cDay, TheDate;
	CalendarData = new Array(0xA4B, 0x5164B, 0x6A5, 0x6D4, 0x415B5, 0x2B6, 0x957, 0x2092F, 0x497, 0x60C96, 0xD4A, 0xEA5, 0x50DA9, 0x5AD, 0x2B6, 0x3126E, 0x92E, 0x7192D, 0xC95, 0xD4A, 0x61B4A, 0xB55, 0x56A, 0x4155B, 0x25D, 0x92D, 0x2192B, 0xA95, 0x71695, 0x6CA, 0xB55, 0x50AB5, 0x4DA, 0xA5B, 0x30A57, 0x52B, 0x8152A, 0xE95, 0x6AA, 0x615AA, 0xAB5, 0x4B6, 0x414AE, 0xA57, 0x526, 0x31D26, 0xD95, 0x70B55, 0x56A, 0x96D, 0x5095D, 0x4AD, 0xA4D, 0x41A4D, 0xD25, 0x81AA5, 0xB54, 0xB6A, 0x612DA, 0x95B, 0x49B, 0x41497, 0xA4B, 0xA164B, 0x6A5, 0x6D4, 0x615B4, 0xAB6, 0x957, 0x5092F, 0x497, 0x64B, 0x30D4A, 0xEA5, 0x80D65, 0x5AC, 0xAB6, 0x5126D, 0x92E, 0xC96, 0x41A95, 0xD4A, 0xDA5, 0x20B55, 0x56A, 0x7155B, 0x25D, 0x92D, 0x5192B, 0xA95, 0xB4A, 0x416AA, 0xAD5, 0x90AB5, 0x4BA, 0xA5B, 0x60A57, 0x52B, 0xA93, 0x40E95);
	madd[0] = 0;
	madd[1] = 31;
	madd[2] = 59;
	madd[3] = 90;
	madd[4] = 120;
	madd[5] = 151;
	madd[6] = 181;
	madd[7] = 212;
	madd[8] = 243;
	madd[9] = 273;
	madd[10] = 304;
	madd[11] = 334;

	function GetBit(m, n) {
		return (m >> n) & 1;
	}

	function e2c() {
		TheDate = (arguments.length != 3) ? new Date() : new Date(arguments[0], arguments[1], arguments[2]);
		var total, m, n, k;
		var isEnd = false;
		var tmp = TheDate.getFullYear();
		total = (tmp - 1921) * 365 + Math.floor((tmp - 1921) / 4) + madd[TheDate.getMonth()] + TheDate.getDate() - 38;
		if (TheDate.getYear() % 4 == 0 && TheDate.getMonth() > 1) {
			total++;
		}
		for (m = 0; ; m++) {
			k = (CalendarData[m] < 0xfff) ? 11 : 12;
			for (n = k; n >= 0; n--) {
				if (total <= 29 + GetBit(CalendarData[m], n)) {
					isEnd = true;
					break;
				}
				total = total - 29 - GetBit(CalendarData[m], n);
			}
			if (isEnd) break;
		}
		cYear = 1921 + m;
		cMonth = k - n + 1;
		cDay = total;
		if (k == 12) {
			if (cMonth == Math.floor(CalendarData[m] / 0x10000) + 1) {
				cMonth = 1 - cMonth;
			}
			if (cMonth > Math.floor(CalendarData[m] / 0x10000) + 1) {
				cMonth--;
			}
		}
	}

	function GetcDateString() {
		var tmp = "";
		if (isall) {
			tmp += tgString.charAt((cYear - 4) % 10);
			tmp += dzString.charAt((cYear - 4) % 12);
			tmp += "年 ";
		}
		if (cMonth < 1) {
			tmp += "(闰)";
			tmp += monString.charAt(-cMonth - 1);
		} else {
			tmp += monString.charAt(cMonth - 1);
		}
		tmp += "月";
		tmp += (cDay < 11) ? "初" : ((cDay < 20) ? "十" : ((cDay < 30) ? "廿" : "三十"));
		if (cDay % 10 != 0 || cDay == 10) {
			tmp += numString.charAt((cDay - 1) % 10);
		}
		return tmp;
	}

	function GetLunarDay(solarYear, solarMonth, solarDay) {
		solarMonth = (parseInt(solarMonth) > 0) ? (solarMonth - 1) : 11;
		e2c(solarYear, solarMonth, solarDay);
		return GetcDateString();
	}

	var yy = D.getFullYear();
	var mm = D.getMonth() + 1;
	var dd = D.getDate();
	var ww = D.getDay();
	var ss = parseInt(D.getTime() / 1000);

	function getFullYear(d) { // 修正firefox下year错误
		yr = d.getYear();
		if (yr < 1000) yr += 1900;
		return yr;
	}

	if (type == "week") {
		var sValue = (dNow.getMonth() + 1) + "月" + dNow.getDate() + "日" + " " + sWeek[dNow.getDay()];
		return sValue
	} else {
		return GetLunarDay(yy, mm, dd)
	}

}
/**
 *获取当前时间
 *format=1精确到天
 *format=2精确到分
 */
function getCurrentDate(format) {
	var now = new Date();
	var year = now.getFullYear(); //得到年份
	var month = now.getMonth(); //得到月份
	var date = now.getDate(); //得到日期
	var day = now.getDay(); //得到周几
	var hour = now.getHours(); //得到小时
	var minu = now.getMinutes(); //得到分钟
	var sec = now.getSeconds(); //得到秒
	month = month + 1;
	if (month < 10) month = "0" + month;
	if (date < 10) date = "0" + date;
	if (hour < 10) hour = "0" + hour;
	if (minu < 10) minu = "0" + minu;
	if (sec < 10) sec = "0" + sec;
	var time = "";
	//精确到天
	if (format == 1) {
		time = year + "-" + month + "-" + date;
	}
	//精确到分
	else if (format == 2) {
		time = year + "-" + month + "-" + date + " " + hour + ":" + minu + ":" + sec;
	}
	return time;
}