Vue.component('basic-info-detail', {
	props: ['basicdata'],
	template: `<div class="mt50">
			<ul class="mui-table white-fff">
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 width-30">办理地点</label>
							<div class="box">
								<div class="center">
									<div class="txt14">{{basicdata.accept_ADDRESS}}</div>
								</div>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 width-30">工作时间</label>
							<div class="box">
								<div class="center">
									<div class="txt14">{{basicdata.accept_TIME}}</div>
								</div>
							</div>
							<div class="mui-pull-right chakan mui-hidden">
								<span class="iconfont icon-chakan"></span>
								查看地图导航
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">法定时限 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value="[basicdata.anticipate_DAY+'工作日']" />
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">承诺时限 </label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value="[basicdata.promise_DAY+'工作日']" />
						</div>
					</li>
					<li class="mui-table-view-cell mui-collapse p15">
						<a class="mui-navigate-right txt14" href="#">审批依据</a>
						<div class="mui-collapse-content">
							<div class="txt14 div-corlor margin-top-10 mb5">
								<span>{{basicdata.lawbasis}}</span>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 width-30">查询方式 </label>
							<div class="box">
								<div class="center">
									<div class="txt14">{{basicdata.blcx}}</div>
								</div>
							</div>
							<div class="mui-pull-right chakan">
								<span class="iconfont icon-chakan"></span>
								办理进度查询
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 width-30">监督投诉渠道</label>
							<div class="box">
								<div class="center">
									<div class="txt14">{{basicdata.supervise_TEL}}</div>
								</div>
							</div>
						</div>
					</li>
					
				</ul></div>`

});

//材料申请循环list-start
var sxclxxListData = Vue.extend({
	props: ['sxclxxListData','index'],
	template: `<li class="mui-table-view-cell mui-collapse-content">
						<p class="p-line-height txt14">{{index+1}}. {{sxclxxListData.materialname}}（1份） </p>
						<p class="p-line-height">材料来源渠道：<span>申请人自备</span></p>
						<p class="p-line-height">法定依据描述 ：
							<div class="txt12 div-corlor">
								<span></span>
							</div>
						</p>
						<p class="p-line-height">材料样本：
							<div v-for="(item,index) in sxclxxListData.exampleitem">
								<a class="font-blue" :data-file=item.type  :href=item.url>样例{{index+1}}</a>
							</div>
						</p>
						<p class="p-line-height">备注：<span class="font-blue"></span></p>
				</li>`
});

Vue.component('sxclxx-info-detail', {
	props: ['sxclxxdata'],
	template: `<ul class="mui-table white-fff">
				<sxclxx-data v-for="(item,index) in sxclxxdata" :index=index :sxclxxListData="item">
				</sxclxx-data>
				</ul>`,
	components: {
		'sxclxx-data': sxclxxListData
	}
});
//材料申请循环list-end

//收费情况循环list-start
var chargeListData = Vue.extend({
	props: ['chargeListData'],
	template: `<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">收费项目</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=chargeListData.charge_NAME>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">收费依据</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=chargeListData.charge_LAW>
						</div>
					</li>
					<li class="mui-table-view-cell mui-collapse-content">
						<div class="mui-input-row">
							<span class="txt14">收费标准：</span>
							<div class="txt12 div-corlor">
								<span>{{chargeListData.charge_STAND}}</span>
							</div>
						</div>
					</li>`
});

Vue.component('charge-info-detail', {
	props: ['chargedata'],
	template: `<div class="padding-top-10" v-if="chargedata.length<0">
				<div class="div-content-sd">
					<span class="txt14 margin-left">中介服务</span>
				</div>
				<ul class="mui-table white-fff">
					<charge-data v-for="item in chargedata" :chargeListData="item">
						</charge-data>
					</ul>
			</div>`,
	components: {
		'charge-data': chargeListData
	}
});
//收费情况循环list-end

//中介服务循环list-start
var agencyListData = Vue.extend({
	props: ['agencyListData'],
	template: `<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">中介服务或特殊环节名称</label>
							<input type="text" class="input-11 mui-ellipsis"  readonly="readonly" :value=agencyListData.zjfwtshj_NAME>
						</div>
					</li>
					<li class="mui-table-view-cell mui-collapse-content">
						<div class="mui-input-row">
							<span class="txt14">法律依据及描述：</span>
							<div class="txt12 div-corlor">
								<span>{{agencyListData.lawbasis}}</span>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">实施机构</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=agencyListData.ssjc>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">是否收费</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=agencyListData.charge_FLAG>
						</div>
					</li>
					<li class="mui-table-view-cell mui-collapse-content">
						<div class="mui-input-row">
							<span class="txt14">收费依据及描述：</span>
							<div class="txt12 div-corlor">
								<span>{{agencyListData.charge_LAW}}</span>
							</div>
						</div>
					</li>
					<li class="mui-table-view-cell  mui-collapse-content">
						<div class="mui-input-row margin-left-15">
							<label class="txt14 lable-width-130">承诺办理时限</label>
							<input type="text" class="input-11 mui-ellipsis" readonly="readonly" :value=agencyListData.promise_DAY>
						</div>
					</li>`
});

Vue.component('agency-info-detail', {
	props: ['agencydata'],
	template: `<div class="padding-top-10" v-if="agencydata.length<0">
				<div class="div-content-sd">
					<span class="txt14 margin-left">中介服务</span>
				</div>
				 <ul class="mui-table white-fff">
					<agency-data v-for="item in agencydata" :agencyListData="item">
					</agency-data>
				</ul>
			</div>`,
	components: {
		'agency-data': agencyListData
	}
});
//中介服务循环list-end

Vue.component('persion-info-bar', {
	props: ['bardata'],
	template: `<nav class="mui-bar mui-bar-tab white-fff">
				<span class="mui-tab-item">
					<button v-if="bardata.isAppointment=='1'" type="button" class="mui-btn mui-btn-danger btn1" data-index="0">预约</button>
					<button v-else-if="bardata.isAppointment=='0'" disabled="disabled" type="button" class="mui-btn yuyue-btn btn1" data-index="0">预约</button>
				</span>
				<span class="mui-tab-item">
					<button v-if="bardata.isResult=='1'" type="button" class="mui-btn mui-btn-danger btn2" data-index="1">咨询</button>
					<button v-else-if="bardata.isResult=='0'" disabled="disabled" type="button" class="mui-btn yuyue-btn btn2" data-index="1">咨询</button>
				</span>
				<span class="mui-tab-item">
					<button v-if="bardata.isFavorate=='1'" type="button" class="mui-btn mui-btn-danger btn3" data-index="2">收藏</button>
					<button v-else-if="bardata.isFavorate=='0'" disabled="disabled" type="button" class="mui-btn yuyue-btn btn3" data-index="2">收藏</button>
				</span>
				<span class="mui-tab-item">
					<button v-if="bardata.isHandle=='1'" type="button" class="mui-btn mui-btn-danger btn4" data-index="3">立即办理</button>
					<button v-else-if="bardata.isHandle=='0'" disabled="disabled" type="button" class="mui-btn yuyue-btn btn4" data-index="3">立即办理</button>
				</span>
			</nav>`
});