/**
 * 自定义九宫格(span图标)-inner
 *
 */
var gridInnerHead = Vue.extend({
    props: ['griddata', 'index'],
    template: `<li class="mui-table-view-cell mui-media mui-collapse-content" style="border: 0;width:50%;padding-left:0px">
					<a :href=griddata.to :class=griddata.aclass :home-login=griddata.homeLogin style="text-align:center">
						<div v-if="index!=0 && (index+1)%2==0" class="mui-media-body" style="font-size: 15px; margin-top:0;border-left:1px solid #cacaca;text-align:left;padding-left:20px">{{griddata.content}}</div>
						<div v-else class="mui-media-body" style="font-size: 15px; margin-top:0;text-align:left;padding-left:20px">{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义分栏九宫格(带头部)
 */
Vue.component('grid-home-head', {
    props: ['griddata'],
    template: `<div>
				<div class="mui-card" v-for="i in griddata">
					<div class="mui-card-header">
					<div style="width:100%">
						<span :class=i.classTitle></span>
						<span style="color:#d60303;font-weight: bolder;font-size:18px">{{i.title}}</span>
						<span v-if="i.catDesc!=null" style="margin-left:10px;padding-left:10px;font-size:12px;border-left:1px solid #cacaca;color:#cacaca">{{i.catDesc}}</span>
						<a :href=i.url v-if="i.haveHome !='0' && i.url != null && i.url != ''" style="font-size:14px;float:right;color:#666;line-height:28px;margin-right:12px">主页 ></a>
						<a :href=i.url v-if="i.haveHome =='0' && i.url != null && i.url != ''" style="font-size:14px;float:right;color:#666;line-height:28px;margin-right:12px">更多 ></a>
					</div> 
					</div>
					<div class="mui-card-content">
						<ul class="mui-table-view mui-grid-view mui-grid-9" style="border: 0;background: #FFF;">
							<grid-inner-head v-for="(item,index) in i.services" :griddata="item" :index="index"></grid-inner-head>
						</ul>	
					</div>
				</div>
				</div>`,
    components: {
        'grid-inner-head': gridInnerHead
    }
});

/**
 * 自定义九宫格(span图标、img图标)-inner-新
 *
 */
var gridInnerHead = Vue.extend({
    props: ['griddata'],
    template: `<li class="mui-table-view-cell mui-media main-li middle" :data-href=griddata.to :data-type=griddata.serviceType :data-title=griddata.content>
		        		<div v-if=griddata.isImg class="li-div">
		        			<img :src=griddata.icon class="bg-img"/>
		        			<div class="main-des">
		        				<div class="txt-14 shen ">{{griddata.content}}</div>
		        				<span class="txt-12 qian ">{{griddata.serviceDesc?griddata.serviceDesc:griddata.content+"指南"}}</span>
		        			</div>
		        		</div>
		        		<div v-else class="li-div">
		        			<span :class=griddata.classInfo></span>
		        			<div class="main-des">
		        				<div class="txt-14 shen">{{griddata.content}}</div>
		        				<span class="txt-12 qian">{{griddata.serviceDesc?griddata.serviceDesc:griddata.content+"指南"}}</span>
		        			</div>
		        		</div>
		          </li>`
});

/**
 * 自定义分栏九宫格(带头部)-新
 */
Vue.component('grid-home-head-new', {
    props: ['griddata'],
    template: `<div>
					<div class="main" v-for="i in griddata" :data-href=i.url>
						<div class="main-top" >
							<span class="txt-16 shen" style="font-weight:bold">{{i.title}}</span>
							<span v-if="i.catDesc" class="txt-12 qian mar-left-right">I</span>
							<span v-if="i.catDesc" class="txt-12 qian">{{i.catDesc}}</span>
							<a :data-href=i.url data-isNewWebView="true" v-if="i.haveHome !='0' && i.url != null && i.url != ''" style="font-size:14px;float:right;color:#5b5b5b;line-height:22px;margin-right:12px">主页 ></a>
							<a :href=i.url v-if="i.haveHome =='0' && i.url != null && i.url != ''" style="font-size:14px;float:right;color:#5b5b5b;line-height:22px;margin-right:12px">更多 ></a>
						</div>
						<ul class="mui-table-view mui-grid-view mui-grid-9 main-ul">
							<grid-inner-head v-for="(item,index) in i.services" :griddata="item"></grid-inner-head>
						</ul>	
					</div>
				</div>`,
    components: {
        'grid-inner-head': gridInnerHead
    }
});
/**
 * 自定义分栏九宫格(不带头部)-新
 */
Vue.component('grid-home-nohead-new', {
    props: ['griddata'],
    template: `<div>
					<div class="main" v-for="i in griddata" :data-href=i.url>						
						<ul class="mui-table-view mui-grid-view mui-grid-9 main-ul">
							<grid-inner-head v-for="(item,index) in i.services" :griddata="item"></grid-inner-head>
						</ul>	
					</div>
				</div>`,
    components: {
        'grid-inner-head': gridInnerHead
    }
});

/**
 * 头部认证带天气
 */
Vue.component('home-head-authentication-weather', {
	props: ['adata','wdata'],
	template: `<div class="new-top">
				<div class="wea-top">
					<div class="wea-tem">
					{{wdata.min_tem}}~{{wdata.max_tem}}
						<div class="wea-air">
							<span>{{wdata.wea}}</span>
							<span style="margin-left: 8px;">空气{{wdata.air_level}}</span>
						</div>
					</div>
					<div>
						<span style="float: right;">{{adata.data}}</span>
						<div style="margin-top:5px">{{adata.nl}}</div>
					</div>
				</div>
				<div v-if="adata.authorized=='0'" class="resign-div">
					<img src="../images/home_top.png" class="home-top-img"/>
					<div class="re-div">
						<span style="margin-bottom: 10px;">开启实名认证</span>
						<a style="padding-bottom:5px;"><img src="../images/top002.png" class="png-btn"/></a>
					</div>
				</div>
				<div v-else-if="adata.authorized=='1'" class="resign-no">
					<div  style="height: 100%;padding-top: 15px">
    					<span class="user-name"><span style="font-size:16px">{{adata.nickName}}</span> ，您好 !</span>
						<div class="no-mid low">
							<span class="iconfont icon-ziyuan1"></span>
							<span class="col-gray txt-12">已完成初级实名认证</span>
							<a href="#" class="upre txt-12">升级></a>
						</div>
					</div>
					<div class="codeimg">
						<img :src=adata.code />
						<p class="txt-12">锦码 :{{adata.jm}}</p>
					</div>
				</div>
				<div v-else-if="adata.authorized=='2'" class="resign-no">
					<div>
						<span class="user-name">{{adata.nickName}}，您好 !</span>
						<div class="no-mid">
							<span class="iconfont icon-ziyuan1"></span>
							<span class="col-gray txt-12">已完成高级实名认证</span>
						</div>
						
					</div>
					<div class="codeimg">
						<img id="top_code" :src=adata.code />
						<p class="txt-12">锦码 :{{adata.jm}}</p>
					</div>
				</div>
			</div>`
});
/**
 * 自定义九宫格(span图标)-inner
 *
 */
var gridInner = Vue.extend({
    props: ['griddata'],
    template: `<li style="border:0" class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 mui-collapse-content" :class=griddata.liclass :id=griddata.liid>
					<a :data-href=griddata.href :class=griddata.aclass id="kuai" :data-type=griddata.type :data-param=griddata.param :data-login=griddata.login data-isNewWebView="true">
						<span :class=griddata.spanclass class="services-icon"></span>
						<div class="mui-media-body txt-14 mt4" id="fbai">{{griddata.content}}</div>
					</a>
				</li>`
});

/**
 * 自定义九宫格
 */
Vue.component('grid-custom-home', {
    props: ['griddata', 'ulclass', 'ulid'],
    template: `<ul class="mui-table-view mui-grid-view mui-grid-9" :id=ulid :class=ulclass><grid-inner v-for="item in griddata" :griddata="item"></grid-inner></ul>`,
    components: {
        'grid-inner': gridInner
    }
});


/**
 *
 *
 */
var tabInner = Vue.extend({
    props: ['tabdata', 'index'],
    template: `
		<div :id="['item'+(index+1)]" class="mui-control-content">
			<ul class="mui-table-view mui-grid-view mui-grid-9 main-ul">
				<li v-for="item in tabdata" class="mui-table-view-cell mui-media main-li-li " :data-param=item.param :data-title=item.title :data-href=item.href :data-type=item.type>
					<div class="li-div">
						<div class="main-des">
							<div class="txt-14 shen ">{{item.title}}</div>
							<span class="txt-12 qian ">{{item.describe}}</span>
						</div>
						<svg class="icon-svg icon" aria-hidden="true">
							<use v-bind:xlink:href=item.icon></use>
						</svg>
					</div>
				</li>
			</ul>
		</div>`
});
/**
 *
 *
 */
var tabTopInner = Vue.extend({
    props: ['tabtopdata', 'index'],
    template: `
		<a class="mui-control-item shen" :href="['#item'+(index+1)]">{{tabtopdata.classify}}</a>
	`
});
/**
 * 首页tab
 */
Vue.component('home_tab', {
    props: ['hometabdata'],
    template: `<div>
			<div class="tab-swiper">
					<div id="segmentedControl" class="mui-segmented-control">
						<tab-top-inner v-for="(item,index) in hometabdata" :index=index :tabtopdata=item></tab-top-inner>
					</div>
				</div>
				<div>
					<grid-inner v-for="(item,index) in hometabdata" :index=index :tabdata='item.content'></grid-inner>
				</div>
			</div>`,
    components: {
        'grid-inner': tabInner,
        'tab-top-inner': tabTopInner
    }
});