var schedulesData = Vue.extend({
	props: ['schedulesdata','index'],
	template: `<div class="mui-card" :data-index=index>
				<div class="mui-card-content">
					<div class="mui-row">
						<ul class="mui-table-view">
							<li class="mui-table-view-cell mui-collapse-content">
								<div class="mui-row">
									<div class="mui-col-sm-3 mui-col-xs-3">
										<p class="start_time">{{schedulesdata.fromtime}}</p>
										<p class="start_des">{{schedulesdata.fromstation}}</p>
									</div>
									<div class="mui-col-sm-3 mui-col-xs-3">
										<div>{{schedulesdata.traincode}}</div>
										<div><img src="../../images/right_arrow.png" class="right_arrow" /></div>
										<div>{{schedulesdata._costtime}}</div>
									</div>
									<div class="mui-col-sm-3 mui-col-xs-3">
										<p class="end_time">{{schedulesdata.arrivetime}}</p>
										<p class="end_des">{{schedulesdata.arrivestation}}</p>
									</div>
									<div class="mui-col-sm-3 mui-col-xs-3">
										<p><span class="price_mark">￥</span><span class="ticket_price">{{schedulesdata.price}}</span><span class="price_font">起</span></p>
									</div>
								</div>
							</li>
							<li class="mui-table-view-cell">
								<div class="mui-row">
									<seat-list-data id="seatsdata" :seatsdata=schedulesdata.seat></seat-list-data>	
								</div>
							</li>
						</ul>
		</div>
		</div>
		</div>`
});

var seatData = Vue.extend({
	props: ['seatsdata'],
	template: `<div style="display:inline-block" class="mui-col-sm-3 mui-col-xs-3">
				{{seatsdata.name}}<span>{{seatsdata.num}}</span>张
		</div>`
});

Vue.component('train-schedules-data', {
	props: ['schedulesdata'],
	template: `<div>
				<schedules-data v-for="(item,index) in schedulesdata" :index=index :schedulesdata="item"></schedules-data>
				</div>`,
	components: {
		'schedules-data': schedulesData
	}
});

Vue.component('seat-list-data', {
	props: ['seatsdata'],
	template: `<div>
				<seats-data v-for="item in seatsdata" :seatsdata="item"></seats-data>
				</div>`,
	components: {
		'seats-data': seatData
	}
});