var serviceItem = Vue.extend({
	props: ['data'],
	template: `<li class="my-use mui-table-view-cell mui-media mui-collapse-content" :data-catId=data.id :data-serviceId=data.serviceId :data-name=data.name :data-spanClass=data.spanClass>
			 			<span class="iconfont" :class=data.spanClass></span>
			 			<span class="use-name">{{data.name}}</span>
			 			<div class="minus">
			 				<a><span class='iconfont icon-jianhao2'></span></a>
			 			</div>
			 		</li>`
});

Vue.component('service-list', {
	props: ['servicedata'],
	template: ` <div class="module">
			 		<span >我的应用</span>
			 		<ul class="mod-main mui-table-view mui-grid-view mui-grid-9">
			 			<service-item  v-for="item in servicedata" :data=item></service-item>
			 		</ul>
				</div>`,
	components: {
		'service-item': serviceItem
	}
});

//自定义九宫格 --------------------------------------------------------
/**
 * 自定义九宫格-服务清单-inner
 * 		
 */
var serviceGridInner = Vue.extend({
	props: ['innerdata'],
	template: `<li class="mui-table-view-cell mui-media mui-collapse-content" :inner-id=innerdata.id>
					<div v-if="!innerdata.enable" disabled="disabled">
						<div type="content-pic" class="content-pic">
							<span :class=innerdata.spanclass style="color:#cacaca"></span>
							<div class="txt-12 mui-ellipsis">{{innerdata.content}}</div>
						</div>
					</div>
					<div v-else>
					<div type="content-pic" class="content-pic" :data-spanClass=innerdata.spanclass :data-title=innerdata.content :data-serviceId=innerdata.id>
						<span :class=innerdata.spanclass ></span>
						<div class="txt-12 mui-ellipsis">{{innerdata.content}}</div>
						<div class="add">
			 				<a><span class='iconfont icon-jiahao1'></span></a>
			 			</div>
					</div>
					</div>
					
				</li>`
});
/**
 * 自定义九宫格-服务清单
 */
Vue.component('service-grid-list', {
	props: ['sgdata'],
	template: `<div>
				<div class="mui-card" v-for="item in sgdata" :sgdata="item">
					<div class="mui-card-content">
						<div class="title"><span class="title-span" :class=item.titleclass>{{item.title}}</span></div>
							<div class="mui-card-content-inner">
								<ul class="mui-table-view mui-grid-view mui-grid-9" :data-id=item.id>
									<service-grid-inner v-for="item in item.innerdata" :innerdata="item"></service-grid-inner>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>`,
	components: {
		'service-grid-inner': serviceGridInner
	}
});

//我的关注
var myServiceItem = Vue.extend({
	props: ['data'],
	template: `<span :class=data.spanClass class="iconfont"></span>`
});

Vue.component('my-service-list', {
	props: ['servicedata'],
	template: `
			<div>
				<div class="title">
					<span class="bl-2 title-span">我的应用</span>
				</div>
				<div class="my-appli">
					<div class="app-icon">
						<service-item  v-for="item in servicedata" :data=item></service-item>
					</div>
					<div class="edi">
						<span>
						<a>......</a>
						</span>
						<a>编辑</a>
					</div>
				</div>
			</div>
	
	`,
	components: {
		'service-item': myServiceItem
	}
});