Vue.component('bill-top-data', {
	props: ['topdata','type'],
	template: `<div class="mui-table-view-cell bg-white inner mui-hidden">
				<div>
					<span>户号&nbsp;：</span>
					<span>{{topdata.account}}</span>
				</div>
				<div>
					<span>户名&nbsp;：</span>
					<span v-if="topdata.accountName==''||topdata.accountName=='null'">**</span>
					<span v-else>{{topdata.accountName}}</span>
				</div>
				<div>
					<span>缴费单位&nbsp;：</span>
					<span>{{topdata.unitName}}</span>
				</div>
				<div>
					<span>账户余额&nbsp;：</span>
					<span>{{topdata.balance}}</span>
				</div>
				<div>
					<span v-if="type=='1'">用水地址&nbsp;：</span>
					<span v-if="type=='2'">用电地址&nbsp;：</span>
					<span v-if="type=='3'">用气地址&nbsp;：</span>
					<span>{{topdata.address}}</span>
				</div>
				<div class="mui-content-padded">
					<button type="button" class="mui-btn mui-btn-primary mui-btn-block submit">在线缴费</button>
				</div>
			</div>`
			
});

var billMiddleInner = Vue.extend({
	props: ['innerdata', 'index'],
	template: `<a class="mui-control-item" :data-index=index >{{innerdata.year}}年</a>`
});
var billdataInner = Vue.extend({
	props: ['innerdata', 'index','type'],
	template: `<div :id=index class="mui-control-content">
					<div class="mui-table-view lh30 text-14">
						<div class="mui-col-xs-6 mui-table-view-cell mui-pull-left  mui-text-center shu">
							<span v-if="type=='1'">水量 :</span>
							<span v-if="type=='2'">电量 :</span>
							<span v-if="type=='3'">煤气量 :</span>
							<span v-if="type=='1'">{{innerdata.totalUsed}} 吨</span>
							<span v-if="type=='2'">{{innerdata.totalUsed}} 度</span>
							<span v-if="type=='3'">{{innerdata.totalUsed}} m³</span>
						</div>
						<div class="mui-col-xs-6 mui-table-view-cell mui-text-center">
							<span>指针 :</span>
							<span>{{innerdata.meterNum}}</span>
						</div>
					</div>
					<div class="mui-table-view lh30 text-14">
						<div class="mui-col-xs-6 mui-table-view-cell mui-pull-left  mui-text-center shu">
							<span v-if="type=='1'">水费 :</span>
							<span v-if="type=='2'">电费 :</span>
							<span v-if="type=='3'">煤气费 :</span>
							<span>{{innerdata.totalFee}} 元</span>
						</div>
						<div class="mui-col-xs-6 mui-table-view-cell mui-text-center">
							<span>余额 :</span>
							<span>{{innerdata.accountBalance}}</span>
						</div>
					</div>
				</div>`
				
});

Vue.component('bill-middle-data', {
	props: ['billdata','type'],
	template: `
			<div class="middle mui-hidden">
				<div id="segmentedControl" class="mui-segmented-control">
					<bill-middle-inner v-for="(item,index) in billdata" :innerdata="item" :index="index"></bill-middle-inner>
				</div>
				<bill-data-inner v-for="(item,index) in billdata" :type="type" :innerdata="item" :index="index"></bill-data-inner>
			</div>`,
	components: {
		'bill-middle-inner': billMiddleInner,
		'bill-data-inner': billdataInner
	}
});

var billTableInner = Vue.extend({
	props: ['innerdata','type'],
	template: `<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 border-t border-l month" :data-month=innerdata.billMonth>
					<a href="#" class="p0">
						<div v-if="innerdata.id==null" class="bg-gray m1">{{innerdata.billMonth}}月</div>
						<div v-else-if="innerdata.stepCount=='1'" class="bg-cyan m1">{{innerdata.billMonth}}月</div>
						<div v-else-if="innerdata.stepCount=='2'" class="bg-orange m1">{{innerdata.billMonth}}月</div>
						<div v-else-if="innerdata.stepCount=='3'" class="bg-red m1">{{innerdata.billMonth}}月</div>
						<div class="mui-media-body charge">
							<div v-if="innerdata.id==null">
								<p class="pt3 pb3"></p>
								<p></p>
							</div>
							<div v-else>
								<p v-if="type=='1'" class="pt3 pb3">{{innerdata.usedCount}}吨</p>
								<p v-if="type=='2'" class="pt3 pb3">{{innerdata.usedCount}}度</p>
								<p v-if="type=='3'" class="pt3 pb3">{{innerdata.usedCount}}m³</p>
								<p>{{innerdata.billPrice}}元</p>
							</div>
						</div>
					</a>
				</li>`
});
Vue.component('bill-table-data', {
	props: ['billdata','type'],
	template: `<div class="mt15">
					<ul class="mui-table-view mui-grid-view mui-grid-9 border-r border-b bg-white">
						<bill-table-inner v-for="item in billdata" :type="type" :innerdata="item"></bill-table-inner>
					</ul>
				</div>`,
	components: {
		'bill-table-inner': billTableInner,
	}
});