var endowmentCard = Vue.extend({
	props:['endowment_data'],
	template:`<div class="mui-card">
					<div class="txt-16 text-bold p10">{{endowment_data.paidDate}}</div>
					<div class="mui-table border-b">
						<div class="mui-table-cell mui-col-xs-4 detail">
							<div class="border-r">
								<p class="mui-h5">个人缴纳(元)</p>
								<p class="mui-h4">{{endowment_data.personPaid}}</p>
							</div>
						</div>
						<div class="mui-table-cell mui-col-xs-4 detail">
							<div class="border-r">
								<p class="mui-h5">单位缴纳(元)</p>
								<p class="mui-h4">{{endowment_data.comPaid}}</p>
							</div>
						</div>
						<div class="mui-table-cell mui-col-xs-4 detail">
							<p class="mui-h5">合计(元)</p>
							<p class="mui-h4">{{endowment_data.sumPaid}}</p>
						</div>
					</div>
					<div class="jiaona">
						<p>缴纳方式<span class="mui-text-right mui-pull-right">{{endowment_data.paymentType=='1'?'公司':'个人'}}</span></p>
						<p v-if="endowment_data.paymentType=='1'">缴费单位<span class="mui-text-right mui-pull-right">{{endowment_data.companyName}}</span></p>
						<p>缴费基数<span class="mui-text-right mui-pull-right">{{endowment_data.paymentBase}}</span></p>
					</div>
				</div>`
});

var endowmentList =Vue.extend({
	props:['endowment_listdata'],
	template:`<li class="mui-table-view-cell mui-media">
					<a href="javascript:;">
						<span class="mui-media-object mui-pull-right margin-right-10 font-weight">{{endowment_listdata.grantAmount}}</span>
						<div class="mui-media-body">
							<span class="font-weight">{{endowment_listdata.grantDate}}</span>
							<p class='mui-ellipsis font-corlor'>银行卡号：<span>{{endowment_listdata.bankNo}}</span></p>
						</div>
					</a>
				</li>`
	
});




Vue.component('endowment-ins-data',{
	props:['endowment_data'],
	template:`<div>
				<endowment-list-inner v-for="item in endowment_data" :endowment_data="item"></endowment-list-inner>
			</div>`,
	components: {
		'endowment-list-inner': endowmentCard
	}
});

Vue.component('endowment-grant-data', {
	props: ['endowment_listdata'],
	template: `<div>
					<ul class="mui-table-view">
						<endowmentgrant-data v-for="item in endowment_listdata" :endowment_listdata="item">
						</endowmentgrant-data>
					</ul>
				</div>`,
	components: {
		'endowmentgrant-data': endowmentList
	}
});



