/**
 * 锦州通APP存储公积金token
 */
function jztSetFundToken(token) {
	app.setCache("fundToken", token);
}
/**
 * 锦州通APP获取公积金token
 */
function jztGetFundToken() {
	return app.getCache("fundToken");
	
}
/**
 * 锦州通APP存储公积金个人账号
 */
function jztSetTokenEmpId(empId) {
	app.setCache("empId", empId);
}
/**
 * 锦州通APP获取公积金个人账号
 */
function jztGetTokenEmpId() {
	return app.getCache("empId");
}
/**
 * 锦州通APP存储公积金单位账号
 */
function jztSetFundOrgId(orgId) {
	app.setCache("orgId", orgId);
}
/**
 * 锦州通APP获取公积金单位账号
 */
function jztGetFundOrgId() {
	return app.getCache("orgId");
	
}
/**
 * 锦州通APP存储公积金token请求时间
 */
function jztSetFundTokenBegin(fundTokenBegin) {
	app.setCache("fundTokenBegin", fundTokenBegin);
}
/**
 * 锦州通APP获取公积金token请求时间
 */
function jztGetFundTokenBegin() {
	return app.getCache("fundTokenBegin");
}

/**
 * 获取公积金token
 * @param {Object} realName 真实姓名
 * @param {Object} idCard 身份证号
 * @param {Object} settings 获取token回掉
 */
function getFundTokenService(realName, idCard, settings) {
	var param = {
		realName: realName,
		idCard: idCard
	}
	mui.axiosService(jztService("usual/fund/token"), param, {
		"success": function(data) {
			if(data.data) {
				if(data.data.empId && data.data.orgId && data.data.token) {
					jztSetTokenEmpId(data.data.empId)
					jztSetFundOrgId(data.data.orgId)
					jztSetFundToken(data.data.token)
					jztSetFundTokenBegin(new Date().getTime()); //设置token请求时间
					settings.success(jztGetTokenEmpId(), jztGetFundOrgId(), jztGetFundToken())
				} else {
					settings.success("", "", "")
				}
			} else {
				settings.success("", "", "")
			}

		},
		"error": function(error) {
			settings.success("", "", "")
		}
	}, 'get')
}
/**
 * 刷新token
 * @param {Object} realName
 * @param {Object} idCard
 * @param {Object} settings
 */
function refreshFundToken(realName, idCard, settings) {
	getFundTokenService(realName, idCard, settings);
}

/**
 * 获取token
 * @param {Object} realName
 * @param {Object} idCard
 * @param {Object} settings
 */
function getFundToken(realName, idCard, settings) {
	// refreshFundToken(realName, idCard, settings);
	// if(jztGetFundToken() && jztGetTokenEmpId() && jztGetFundOrgId() && jztGetFundTokenBegin()) {
	// 	if(new Date().getTime() - jztGetFundTokenBegin() >= config.config.fundTokenValid) {
	// 		refreshFundToken(realName, idCard, settings);
	// 	} else {
	// 		settings.success(jztGetTokenEmpId(), jztGetFundOrgId(), jztGetFundToken())
	// 	}
	// } else {
		getFundTokenService(realName, idCard, settings);
	// }
}