/**
 * 获取完整url
 * 替换{}部分
 * @param {Object} href
 */
function getHref(href) {
	var a = href.match(/\{(.+?)\}/g);
	var param = '';
	for(var i in a) {
		if(jztGetParam(a[i]) != "") {
			href = href.replace("" + a[i], jztGetParam(a[i]))
		}
	}
	return href;
}

/**
 * 替换字段
 * @param {Object} str
 */
function jztGetParam(str) {
	var param = '';
	switch(str) {
		case '{token}': //token
			param = jztGetToken()
			break;
		case '{realName}': //真实姓名
			param = jztGetSaveUserInfo(1)
			break;
		case '{cerType}': //证件类型
			param = jztGetSaveUserInfo(2)
			break;
		case '{idCard}': //身份证号
			param = jztGetSaveUserInfo(3)
			break;
		case '{userId}': //userId
			param = jztGetSaveUserInfo(4)
			break;
		case '{nickName}': //昵称
			param = jztGetSaveUserInfo(5)
			break;
		case '{isAuthorized}': //是否认证 1认证
			param = jztGetSaveUserInfo(6)
			break;
		case '{isCompleted}': //信息是否完善
			param = jztGetSaveUserInfo(7)
			break;
		case '{address}': //地址
			param = jztGetSaveUserInfo(8)
			break;
		case '{phone}': //电话
			param = jztGetSaveUserInfo(9)
			break;
		case '{email}': //邮件
			param = jztGetSaveUserInfo(10)
			break;
		case '{authType}': //认证方式
			param = jztGetSaveUserInfo(11)
			break;
		case '{avatar}': //头像
			param = jztGetSaveUserInfo(12)
			break;
		case '{random}': //随机数防止缓存
			param = new Date().getTime();
			break;
		default:
			param = str.substring(1, str.length - 1)
			break;
	}
	return param;
}

/**
 * 拆分跳转地址参数
 * @param {Object} url
 */
function getUrlVars(url) {
	if(url.indexOf('?') == -1) {
		return "";
	} else {
		var hash;
		var myJson = {};
		var hashes = url.slice(url.indexOf('?') + 1).split('&');
		for(var i = 0; i < hashes.length; i++) {
			hash = hashes[i].split('=');
			myJson[hash[0]] = hash[1];
		}
		return myJson;
	}
}

/**
 * 页面统一跳转
 * @param {Object} type 打开方式
 * @param {Object} href 打开地址,type=10时为js
 * @param {Object} title 标题
 * @param {Object} param 参数
 * @param {Object} authLevel 需要认证及别
 * @param {Object} needLogin 需要登录
 */
function openService(href, type, title, param, authLevel, needLogin) {
	try {
		mui.axiosServiceL("http://jzt.0416city.com/appdata/visit/addLog?url="+urlencode(encodeURIComponent(href)), param, {
			"success": function(response) {

			},
			"error": function(error) {}
		}, "post")
	} catch(err) {
		
	}

	if(needLogin == "1" && jztGetSaveUserInfo(4) == "40") { //游客
		mui.confirm("请您登录", "该服务需要登录", new Array('稍后', '去登录'), function(e) {
			if(e.index == 1) {
				//跳转登录页
				app.createNewView(true, "1", "view/my/login/login-all.html", "登录", "")
			}
		});
		return;
	}else {
		if(authLevel) {
			//		if(jztGetParam("isAuthorized")<"3"){
			if(jztGetParam("{isAuthorized}") < authLevel) {
				setConfirm({
					"success": function() {
						app.createNewView(true, "1", "view/my/regist-success.html");
					},
					"error":function () {

					}
				})
				return;
			}
		}
	}
	
	if(href) {
		href = getHref(href); //替换跳转地址中锦州通相关参数
		switch(type + "") {
			case "1":
				//内部页不需要原生头部,需要拆分地址栏参数
				if(param) {
					param = $.extend({}, param, getUrlVars(href))
				} else {
					param = getUrlVars(href)
				}
				var baseUrl = href.split('?')[0];
				app.createNewView(true, "1", baseUrl, "", param);
				break;
			case "2":
				//http开头的页面 涉及到需不需要原生头部
				if(href.indexOf("title=no") == -1) {
					app.createNewView(true, "2", href, title, "");
				} else {
					app.createNewView(true, "2", href, "no", "");
				}
				break;
			case "3":
				//本地中转页跳转(iframe)
				var urlArr = href.split('?href=');
				var baseUrl = urlArr[1];
				app.createNewView(true, "1", urlArr[0], title, {
					href: baseUrl
				})
				break;
			case "4":
				//一次网络请求打开请求后返回的地址
				//				mui.axiosService(jztService("app/edu/getjyUrl?userid=" + jztGetSaveUserInfo(4) + "&type=" + code), "", {
				mui.axiosService(href, {}, {
					"success": function(response) {
						if(href.indexOf("title=no") != -1) {
							app.createNewView(true, "2", response.data, "no", "")
						} else {
							app.createNewView(true, "2", response.data)
						}
					}
				}, "get");
				break;
			case "5":
				//打电话
				app.call(href)
				break;
			case "9":
				//打开外部app
				app.openOtherApp(href, param)
			case "10":
				eval(href);
				break;
			default:
				break;
		}
	}
}

function setConfirm(settings) {
	var btnArray = ['否', '是']
	mui.confirm('该服务需要实名认证认证，是否去认证？', '锦州通', btnArray, function(e) {
		if(e.index == 1) {
			settings.success()
		} else {
			settings.error()
		}
	})
}