/**
 * 获取对象属性的值
 * 主要用于过滤三级联动中，可能出现的最低级的数据不存在的情况，实际开发中需要注意这一点；
 * @param {Object} obj 对象
 * @param {String} param 属性名
 */
var _getParam = function(obj, param) {
	return obj[param] || '';
};
/**
 * picker
 * @param {Object} id picker容器id
 * @param {Object} num 1-3联动级别
 * @param {Object} pickerData picker内容
 * @param {Object} settings 点击确定后回调函数onClickResult
 * @param {Object} isClose 点击确定后是否关闭picker
 */
function initPicker(id, num, pickerData, settings, isClose) {
	var userPicker = new mui.PopPicker({
		layer: num
	});
	userPicker.setData(pickerData);
	var showUserPickerButton = document.getElementById(id);
	function click(){
		userPicker.show(function(items) {
			if(settings.onClickResult) {
				switch(num) {
					case 1:
						settings.onClickResult(items[0].text,items[0].index);
						break;
					case 2:
						settings.onClickResult(items[0].text, items[1].text);
						break;
					case 3:
						settings.onClickResult(_getParam(items[0], 'text'), _getParam(items[1], 'text'), _getParam(items[2], 'text'), _getParam(items[0], 'value'), _getParam(items[1], 'value'), _getParam(items[2], 'value'));
						break;
					default:
						break;
				}

			}
			//返回 false 可以阻止选择框的关闭
			if(!isClose) {
				return false;
			}
		});
	}
//	showUserPickerButton.addEventListener('tap', function(event) {
//		
//	}, false);
	$(showUserPickerButton).off('tap').on('tap',click);
}
/**
 * picker
 * @param {Object} num 1-3联动级别
 * @param {Object} pickerData picker内容
 * @param {Object} settings 点击确定后回调函数onClickResult
 * @param {Object} isClose 点击确定后是否关闭picker
 */
function initPickerNoId(num, pickerData, settings, isClose) {
	var userPicker = new mui.PopPicker({
		layer: num
	});
	userPicker.setData(pickerData);
	userPicker.show(function(items) {
		if(settings.onClickResult) {
			switch(num) {
				case 1:
					settings.onClickResult(items[0].text, items[0].index);
					break;
				case 2:
					settings.onClickResult(items[0].text, items[1].text);
					break;
				case 3:
					settings.onClickResult(_getParam(items[0], 'text'), _getParam(items[1], 'text'), _getParam(items[2], 'text'));
					break;
				default:
					break;
			}
		}
		//返回 false 可以阻止选择框的关闭
		if(!isClose) {
			return false;
		}
	});

}