var version = null;
var os = null;

function plusReady() {
	// 获取本地应用资源版本号 
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		version = inf.version;
		os = plus.os.name;
		console.log("系统：" + plus.os.name);
		console.log("当前应用版本：" + version);

		asyncObtainServiceUpdate(version, os);
	});
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}

/* 
 * 差异化升级流程： 
 * 1.启动app后在plusReady里面首先获取app版本 
 * 2.检查服务器版本 
 * 3.服务器版本大于本地app版本下载升级包，提示安装和升级 
 * 4.服务器版本小于等于本地版本时，不做任何操作 
 * 5.重启即可完成升级 
 */
//请求更新接口
function asyncObtainServiceUpdate(v, os) {

	
	mui.axiosService(jztService("app/user/app"), {
		version: v,
		os: os
	}, {
		"success": function(data) {

			
			console.log(JSON.stringify(data));
			if(data.data) {
				mui.alert('检测到新版本,是否更新？', '锦州通', function() {
					install(data.data)
               });
			}
		}
	}, "post");
}

function install(apkUrl) {

	plus.nativeUI.showWaiting("正在下载apk文件...！");
	var dtask = plus.downloader.createDownload(apkUrl, {}, function(d, status) {
		plus.nativeUI.closeWaiting();
		if(status == 200) {
			var path = d.filename; //下载apk
			 plus.runtime.openFile(path)
//			plus.runtime.install(path); // 自动安装apk文件
		} else { 
			plus.nativeUI.alert('版本更新失败:' + status);
		}
	});
	dtask.start();
}