
/**
 * 
 * @param {Object} data vue数据
 * @param {Object} settings 生命周期钩子函数
 * @param {Object} id 加载动画id
 */
function process(data,settings,id) {
	var vue = new Vue({
		el: ".mui-content",
		data:data,
		beforeCreate: function() {
			if(id){
				jzcLoadingShow(id);//显示加载动画
			}
			if(typeof settings.beforeCreate === "function") {
				settings.beforeCreate();
			}
		},
		created: function() {
			if(typeof settings.created === "function") {
				settings.created();
			}
		},
		beforeMount: function() {
			if(typeof settings.initData === "function") {
				settings.initData();
			}
		},
		mounted: function() {
			if(typeof settings.changeAndListener === "function") {
				settings.changeAndListener();
			}
		},
		beforeUpdate: function() {
			if(typeof settings.beforeUpdate === "function") {
				settings.beforeUpdate();
			}
		},
		updated: function() {
			if(typeof settings.updated === "function") {
				settings.updated();
			}
		},
		beforeDestroy: function() {
			if(typeof settings.clean === "function") {
				settings.clean();
			}
		},
		destroyed: function() {
			if(typeof settings.destroyed === "function") {
				settings.destroyed();
			}
		}
	});
	return vue;
}

/**
 * 
 * @param {Object} data vue数据
 * @param {Object} settings 生命周期钩子函数
 * @param {Object} id 加载动画id
 */
function processPullRefresh(data,settings,id) {
	var vue = new Vue({
		el: "#pullRefresh",
		data:data,
		beforeCreate: function() {
			if(id){
				jzcLoadingShow(id);//显示加载动画
			}
			if(typeof settings.beforeCreate === "function") {
				settings.beforeCreate();
			}
		},
		created: function() {
			if(typeof settings.created === "function") {
				settings.created();
			}
		},
		beforeMount: function() {
			if(typeof settings.initData === "function") {
				settings.initData();
			}
		},
		mounted: function() {
			if(typeof settings.changeAndListener === "function") {
				settings.changeAndListener();
			}
		},
		beforeUpdate: function() {
			if(typeof settings.beforeUpdate === "function") {
				settings.beforeUpdate();
			}
		},
		updated: function() {
			if(typeof settings.updated === "function") {
				settings.updated();
			}
		},
		beforeDestroy: function() {
			if(typeof settings.clean === "function") {
				settings.clean();
			}
		},
		destroyed: function() {
			if(typeof settings.destroyed === "function") {
				settings.destroyed();
			}
		}
	});
	return vue;
}