//加载配置
loadConfig();

function loadConfig() {
	//加载本地文件配置
	mui.plusReady(function() {
		plus.io.resolveLocalFileSystemURL("_documents/serviceConfig.txt", function(entry) {
				//读取文件
				entry.file(function(file) {
					var fileReader = new plus.io.FileReader();
					fileReader.readAsText(file, 'utf-8');
					fileReader.onloadend = function(evt) {
						if(("" + evt.target.result).trim() != "") {
							localStorage.setItem("sConfig", evt.target.result);
						}
					}
				});
			},
			function(e) {
				console.log("文件不存在 ");
			});
	})
}

mui.plusReady(function() {
	/**
	 * 获取本地存储中launchFlag的值
	 * http://www.html5plus.org/doc/zh_cn/storage.html#plus.storage.getItem
	 * 若存在，说明不是首次启动，直接进入首页；
	 * 若不存在，说明是首次启动，进入引导页；
	 */
	var launchFlag = plus.storage.getItem("launchFlag");
		if(!launchFlag) {
			mui.openWindow({
				url: "view/welcome.html",
				id: "welcome"
			});
		}
});

mui.init({
	swipeBack: true //启用右滑关闭功能
});
//设置默认打开首页显示的子页序号；
var Index = 2;
//把子页的路径写在数组里面
var subpages = ['view/interaction/informaion.html', 'view/interaction/address_book.html', 'view/home.html', 'view/interaction/interaction.html', 'view/my/mine.html'];

//所有的plus-*方法写在mui.plusReady中或者后面。
mui.plusReady(function() {
	//获取当前页面所属的Webview窗口对象
	var self = plus.webview.currentWebview();
	for(var i = 0; i < 5; i++) {
		//创建webview子页
		var sub = plus.webview.create(
			subpages[i], //子页url
			subpages[i], //子页id
			{
				top: '0px', //设置距离顶部的距离
				bottom: '50px' //设置距离底部的距离
			}
		);
		//如不是我们设置的默认的子页则隐藏，否则添加到窗口中
		if(i != Index) {
			sub.hide();
		}
		//将webview对象填充到窗口
		self.append(sub);
	}
});
//当前激活选项
var activeTab = subpages[Index];

//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var login = this.getAttribute('home-login') || "";

	//获取目标子页的id
	var targetTab = this.getAttribute('href');
	if(login == 1) {
		if(mui.checkLogin(true,"home")){
			changeHomeTab(targetTab)
		}else{
			$(this).removeClass("mui-active")
			$("[href='"+activeTab+"']").addClass("mui-active")
		}
	}else{
		changeHomeTab(targetTab)
	}
	return false;
});

function changeHomeTab(targetTab) {
	$("[href='"+targetTab+"']").addClass("mui-active").siblings("a").removeClass("mui-active")
	if(targetTab == activeTab) {
		return;
	}
	//显示目标选项卡
	plus.webview.show(targetTab);
	//隐藏当前选项卡
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
};

//document.addEventListener("plusready", function() {
//	// 监听点击消息事件
//	plus.push.addEventListener("click", function(msg) {
//		alert("点击-i");
//		// 判断是从本地创建还是离线推送的消息
//		switch(msg.payload) {
//			case "LocalMSG":
//				alert("点击本地创建消息启动：");
//				break;
//			default:
//				alert("点击离线推送消息启动：");
//				break;
//		}
//		// 提示点击的内容
//		plus.ui.alert(msg.content);
//	}, false);
//	// 监听在线消息事件
//	plus.push.addEventListener("receive", function(msg) {
//		if(msg.aps) { // Apple APNS message
//			alert("接收到在线APNS消息：");
//		} else {
//			mui.openWindow("view/interaction/details.html")
//			alert("接收到在线透传消息：" + msg.payload);
//		}
//	}, false);
//}, false);