function getBase64(img) { //传入图片路径，返回base64
	function getBase64Image(img, width, height) {
		var canvas = document.createElement("canvas");
		canvas.width = width ? width : img.width;
		canvas.height = height ? height : img.height;
		var ctx = canvas.getContext("2d");
		ctx.drawImage(img, 0, 0, canvas.width, canvas.height);
		var dataURL = canvas.toDataURL("image/jpeg", 0.7);
		return dataURL;
	}
	var image = new Image();
	image.src = img;
	var deferred = $.Deferred();
	if(img) {
		image.onload = function() {
			deferred.resolve(getBase64Image(image)); //将base64传给done上传处理
		}
		return deferred.promise(); //问题要让onload完成后再return sessionStorage['imgTest']
	}
}

function getImg(settings) {
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "修改头像",
			cancel: "取消",
			buttons: a
		}, function(b) {
			switch(b.index) {
				case 0:
					break;
				case 1:
					getImage(settings);
					break;
				case 2:
					galleryImg(settings);
					break;
				default:
					break
			}
		})
	}
};

function getImagesettings(settings) {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			getBase64(s).then(function(base64) {
				settings.handleResult(base64);
			}, function(err) {
				console.log(err);
			});
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + JSON.stringify(s));
	}, {
		filename: "_doc/head.jpg"
	})
}

function galleryImg(settings) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.jpg", {}, function(file) {
					//文件已存在
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, 'head.jpg', function(e) {
								var e = e.fullPath + "?version=" + new Date().getTime();
								getBase64(path).then(function(base64) {
									settings.handleResult(base64);
								}, function(err) {
									console.log(err);
								});
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在
					entry.copyTo(root, 'head.jpg', function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							getBase64(path).then(function(base64) {
								settings.handleResult(base64);
							}, function(err) {
								console.log(err);
							});
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
}