var bridge = {
	default: this,
	call: function(method, args, cb) {
		var ret = "";
		if (typeof args == "function") {
			cb = args;
			args = {}
		}
		var arg = {
			data: args === undefined ? null : args
		};
		if (typeof cb == "function") {
			var cbName = "dscb" + window.dscb++;
			window[cbName] = cb;
			arg["_dscbstub"] = cbName
		}
		arg = JSON.stringify(arg);
		if (window._dsbridge) {
			ret = _dsbridge.call(method, arg)
		} else if (window._dswk || navigator.userAgent.indexOf("_dsbridge") != -1) {
			ret = prompt("_dsbridge=" + method, arg)
		}
		return JSON.parse(ret || "{}").data
	},
	register: function(name, fun, asyn) {
		var q = asyn ? window._dsaf : window._dsf;
		if (!window._dsInit) {
			window._dsInit = true;
			setTimeout(function() {
				bridge.call("_dsb.dsinit")
			}, 0)
		}
		if (typeof fun == "object") {
			q._obs[name] = fun
		} else {
			q[name] = fun
		}
	},
	registerAsyn: function(name, fun) {
		this.register(name, fun, true)
	},
	hasNativeMethod: function(name, type) {
		return this.call("_dsb.hasNativeMethod", {
			name: name,
			type: type || "all"
		})
	},
	disableJavascriptDialogBlock: function(disable) {
		this.call("_dsb.disableJavascriptDialogBlock", {
			disable: disable !== false
		})
	}
};
! function() {
	if (window._dsf) return;
	var _close = window.close;
	var ob = {
		_dsf: {
			_obs: {}
		},
		_dsaf: {
			_obs: {}
		},
		dscb: 0,
		dsBridge: bridge,
		close: function() {
			if (bridge.hasNativeMethod("_dsb.closePage")) {
				bridge.call("_dsb.closePage")
			} else {
				_close.call(window)
			}
		},
		_handleMessageFromNative: function(info) {
			var arg = JSON.parse(info.data);
			var ret = {
				id: info.callbackId,
				complete: true
			};
			var f = this._dsf[info.method];
			var af = this._dsaf[info.method];
			var callSyn = function(f, ob) {
				ret.data = f.apply(ob, arg);
				bridge.call("_dsb.returnValue", ret)
			};
			var callAsyn = function(f, ob) {
				arg.push(function(data, complete) {
					ret.data = data;
					ret.complete = complete !== false;
					bridge.call("_dsb.returnValue", ret)
				});
				f.apply(ob, arg)
			};
			if (f) {
				callSyn(f, this._dsf);
				0
			} else if (af) {
				callAsyn(af, this._dsaf)
			} else {
				var name = info.method.split(".");
				if (name.length < 2) return;
				var method = name.pop();
				var namespace = name.join(".");
				var obs = this._dsf._obs;
				var ob = obs[namespace] || {};
				var m = ob[method];
				if (m && typeof m == "function") {
					callSyn(m, ob);
					return
				}
				obs = this._dsaf._obs;
				ob = obs[namespace] || {};
				m = ob[method];
				if (m && typeof m == "function") {
					callAsyn(m, ob);
					return
				}
			}
		}
	};
	for (var attr in ob) {
		window[attr] = ob[attr]
	}
	bridge.register("_hasJavascriptMethod", function(method, tag) {
		var name = method.split(".");
		if (name.length < 2) {
			return !!(_dsf[name] || _dsaf[name])
		} else {
			var method = name.pop();
			var namespace = name.join(".");
			var ob = _dsf._obs[namespace] || _dsaf._obs[namespace];
			return ob && !!ob[method]
		}
	})
}();
var Utils = {
	unifyAsyncBridge: function(settings) {
		try {
			settings.next()
		} catch (e) {
			console.log(e.message)
		}
	},
	unifySyncBridge: function(functionName) {
		try {
			var a = eval(functionName + "()")
		} catch (e) {
			console.log(e.message)
		}
		return a
	},
	getShowHeader: function(type, title) {
		var showHeader = "0";
		if (title == "no") {
			showHeader = "0"
		} else {
			if (title != "") {
				showHeader = "1"
			} else {
				if (type == "2") {
					showHeader = "2"
				}
			}
		}
		return showHeader
	},
	getResult: function(result, defalut) {
		if (result) {
			return result
		} else {
			if (defalut) {
				return defalut
			} else {
				return ""
			}
		}
	},
	returnData: function(callbackFunction, fixedFunction, data) {
		if (callbackFunction) {
			eval(callbackFunction + "(" + data + ")")
		} else {
			try {
				isFunction = typeof eval(fixedFunction) == "function"
			} catch (e) {
				if (Utils.isConsole) {
					console.log(e.message)
				}
			}
			if (isFunction) {
				eval(fixedFunction + "(" + data + ")")
			}
		}
	}
};
window.jzt = {
	createNewView: function(data) {
		Utils.unifyAsyncBridge({
			next: function() {
				var _data = JSON.parse(data);
				var param = {
					isNewWebView: _data.isNewWebView,
					type: _data.type,
					url: _data.url,
					title: _data.title,
					param: _data.param,
					showHeader: Utils.getShowHeader(_data.type, _data.title),
					cache: _data.cache ? _data.cache : true
				};
				dsBridge.call("createNewView", JSON.stringify(param))
			}
		})
	},
	setCache: function(data) {
		Utils.unifyAsyncBridge({
			next: function() {
				var _data = JSON.parse(data);
				var param = {
					key: _data.key,
					content: _data.content
				};
				dsBridge.call("setCache", JSON.stringify(param))
			}
		})
	},
	getCache: function(data) {
			var _data = JSON.parse(data);
			return Utils.getResult(dsBridge.call("getCache", _data.key), _data.value)
	},
	clearCache: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("clearCache")
			}
		})
	},
	call: function(phone) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("call", phone)
			}
		})
	},
	toast: function(content) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("toast", content)
			}
		})
	},
	openPhoto: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openPhoto")
			}
		})
	},
	openCamera: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openCamera")
			}
		})
	},
	uploadImage: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("uploadImage")
			}
		})
	},
	faceDetect: function(idCard, realName, token, username, callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					idCard: idCard,
					realName: realName,
					username: username
				};
				dsBridge.call("faceDetect", JSON.stringify(param), function(v) {
					Utils.returnData(callbackFunction, "faceDetectCallback", v)
				})
			}
		})
	},
	faceTripartiteSave: function(idCard, realName, password, username, callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					idCard: idCard,
					realName: realName,
					username: username
				};
				dsBridge.call("faceTripartiteSave", JSON.stringify(param), function(v) {
					Utils.returnData(callbackFunction, "faceTripartiteSaveCallback", v)
				})
			}
		})
	},
	faceTripartitePic: function(callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("faceTripartitePic", "", function(v) {
					Utils.returnData(callbackFunction, "faceTripartitePicCallback", v)
				})
			}
		})
	},
	StartLocation: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("StartLocation")
			}
		})
	},
	StartSDKLocation: function(type, callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("StartSDKLocation", type, function(v) {
					Utils.returnData(callbackFunction, "StartSDKLocationCallback", v)
				})
			}
		})
	},
	OpenQRcode: function(callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("OpenQRcode", "", function(v) {
					Utils.returnData(callbackFunction, "OpenQRcodeCallback", v)
				})
			}
		})
	},
	changeHomePage: function(num) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("changeHomePage", num)
			}
		})
	},
	startActivityForRoute: function(address) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("startActivityForRoute", address)
			}
		})
	},
	getUUID: function() {
			return dsBridge.call("getUUID")
	},
	checkVersion: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("checkVersion")
			}
		})
	},
	login: function(userName, passward, code, random) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					userName: userName,
					passward: passward,
					code: code,
					random: random
				};
				dsBridge.call("login", JSON.stringify(param))
			}
		})
	},
	loginForPhoneAndCode: function(phone, code) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					phone: phone,
					code: code
				};
				dsBridge.call("loginForPhoneAndCode", JSON.stringify(param))
			}
		})
	},
	OpenHomeView: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("OpenHomeView")
			}
		})
	},
	SaveByFile: function(content, fileName, append) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					content: content,
					fileName: fileName
				};
				dsBridge.call("SaveByFile", JSON.stringify(param))
			}
		})
	},
	GetByFile: function(fileName) {

			return dsBridge.call("GetByFile", fileName)

	},
	setTitle: function(title) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("setTitle", title)
			}
		})
	},
	isAppAlive: function(pageName) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("isAppAlive", pageName)
			}
		})
	},
	openOtherApp: function(downLoadUrl, pageName) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					downLoadUrl: downLoadUrl,
					pageName: pageName
				};
				dsBridge.call("openOtherApp", JSON.stringify(param))
			}
		})
	},
	pay: function(info, type, callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				var param = {
					type: type,
					Info: Info
				};
				dsBridge.call("pay", JSON.stringify(param), function(v) {
					Utils.returnData(callbackFunction, "payCallback", v)
				})
			}
		})
	},
	reloadWebView: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("reloadWebView")
			}
		})
	},
	openAkeyCapture: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openAkeyCapture")
			}
		})
	},
	openSelfhelpRegistration: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openSelfhelpRegistration")
			}
		})
	},
	openAkeyHelper: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openAkeyHelper")
			}
		})
	},
	openBrowser: function(url) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("openBrowser", url)
			}
		})
	},
	toolsButtonsEffective: function(json) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("toolsButtonsEffective", url)
			}
		})
	},
	showToolsDialog: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("showToolsDialog")
			}
		})
	},
	getParam: function() {
			return dsBridge.call("getParam")
	},
	setReturnParam: function(content, callbackFunction) {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("setReturnParam", content, function(v) {
					Utils.returnData(callbackFunction, "getParam", v)
				})
			}
		})
	},
	finishView: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("finishView")
			}
		})
	},
	back: function() {
		Utils.unifyAsyncBridge({
			next: function() {
				dsBridge.call("back")
			}
		})
	}
};
